it-swarm.com.de

Konstantes Abrufen des Java: ungültiger Quellversion: 1.9 Fehler beim Kompilieren

Ich habe versucht, dieses Problem mithilfe der verschiedenen Foren auf dieser Website zu beheben, aber es hat nichts geholfen. Ich habe ähnliche Techniken ausprobiert, mit denen die Fehler der anderen 1.8 behoben wurden, aber es hat nichts funktioniert. Ich habe meine Java-Klassendatei unter meinem Quellordner und keine Importe. Ich möchte nur eine grundlegende Ausgabemeldung, um sicherzustellen, dass IntelliJ ordnungsgemäß funktioniert. Kann jemand einen Rat geben?

11
Nick Mucci

Ändern Sie hier den Sprachlevel auf 1.8 oder weniger. Dadurch wird die Zielversion geändert.

Gehen Sie zu Datei -> Einstellungen -> Build Execution and Deployment -> Java -> Compiler

Ändern Sie hier den Sprachlevel auf 1.8 oder weniger. Dadurch wird die Quellversion geändert.

Datei -> Projektstruktur -> Moduleinstellungen -> Registerkarte: Quelle: Sprache Niveau

und auch hier,

Datei -> Projektstruktur -> Projekt (Im linken Bereich) -> Projektsprachenebene

26
Srikanth A

Nur für den Fall, dass jemand auf dasselbe Problem stößt und die obige Antwort es nicht löst, wurde mein Problem mit den folgenden Schritten gelöst (ich habe Gradle verwendet):

  1. Öffnen Sie die Datei Ihr-Projektname . ipr .
  2. Überprüfen Sie die folgende Zeile:

<bytecodeTargetLevel target="1.xx" />

Meine wurde auf 1.10 gesetzt. Ich änderte es in 1.08 (auf das mein Projekt-SDK eingestellt war) und das Problem wurde gelöst. 

0
D.Nielsen